curl "https://api.ionq.co/v0.4/organizations/com.my.org/usage?group_by=project&start_date=2025-01-01&end_date=2025-03-02&modality=weekly" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/organizations/{organization_id}/usage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/organizations/{organization_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group_type": "project",
"modality": "daily",
"amount_total": 151.31,
"amount_totals": [
{
"amount": 144.39,
"unit": "USD"
}
],
"job_count": 514,
"organization": "71d164e-6ebe-4126-8839-f1529bb01a00",
"time_us_total": 1566154.312523,
"usage_data": [
{
"amount": 1614.23,
"from": "2023-07-01",
"group_usages": [
{
"amount": 144.39,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
],
"group_id": "2bfd0fd5-5854-4916-917f-a907af586755",
"group_name": "Project Jumping Lemming",
"job_count": 9,
"time_us": 1566154.312523
}
],
"job_count": 10,
"time_us": 5143166.13413,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
]
}
],
"usage_from": "2025-10-01T00:00:00Z",
"usage_to": "2025-11-01T00:00:00Z",
"usage_unit": "USD"
}{
"error": "Bad Request",
"message": "\"some-parameter\" was invalid.",
"statusCode": 400,
"validation": {
"keys": [
"some-parameter"
],
"source": "params"
}
}{
"error": "Unauthorized Error",
"message": "Invalid key provided. See https://docs.ionq.com/#authentication for details, or email [email protected] for help.",
"statusCode": 401
}{
"error": "Internal Server Error",
"message": "Internal service outage. Visit https://status.ionq.co/ to track this incident.",
"statusCode": 500
}Get usage costs
Gets usage cost broken down by time and job, project, or user.
curl "https://api.ionq.co/v0.4/organizations/com.my.org/usage?group_by=project&start_date=2025-01-01&end_date=2025-03-02&modality=weekly" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/organizations/{organization_id}/usage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/organizations/{organization_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group_type": "project",
"modality": "daily",
"amount_total": 151.31,
"amount_totals": [
{
"amount": 144.39,
"unit": "USD"
}
],
"job_count": 514,
"organization": "71d164e-6ebe-4126-8839-f1529bb01a00",
"time_us_total": 1566154.312523,
"usage_data": [
{
"amount": 1614.23,
"from": "2023-07-01",
"group_usages": [
{
"amount": 144.39,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
],
"group_id": "2bfd0fd5-5854-4916-917f-a907af586755",
"group_name": "Project Jumping Lemming",
"job_count": 9,
"time_us": 1566154.312523
}
],
"job_count": 10,
"time_us": 5143166.13413,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
]
}
],
"usage_from": "2025-10-01T00:00:00Z",
"usage_to": "2025-11-01T00:00:00Z",
"usage_unit": "USD"
}{
"error": "Bad Request",
"message": "\"some-parameter\" was invalid.",
"statusCode": 400,
"validation": {
"keys": [
"some-parameter"
],
"source": "params"
}
}{
"error": "Unauthorized Error",
"message": "Invalid key provided. See https://docs.ionq.com/#authentication for details, or email [email protected] for help.",
"statusCode": 401
}{
"error": "Internal Server Error",
"message": "Internal service outage. Visit https://status.ionq.co/ to track this incident.",
"statusCode": 500
}Path Parameters
The UUID of the organization — this UUID is provided in the response on organization creation.
Query Parameters
Start date, inclusive
End date, exclusive
QPU Usage grouping
job, project, user "project"
Report modality
daily, weekly, monthly "daily"
Response
Successfully retrieved a list of projects.
QPU usage details for a given modality and date range.
QPU Usage grouping
job, project, user "project"
Report modality
daily, weekly, monthly "daily"
The total cost amount for the given timeframe, in units given by usage_unit
151.31
The per-currency breakdown of amount_total before ACU normalization
Show child attributes
Show child attributes
The total number of jobs run in the timeframe
514
UUID of an organization.
"71d164e-6ebe-4126-8839-f1529bb01a00"
The total QPU time usage for the given timeframe, in microseconds
1566154.312523
The breakdown of usage by group type in date order most to least recent
Show child attributes
Show child attributes
Usage beginning RFC 3339 timestamp
"2025-10-01T00:00:00Z"
Usage end RFC 3339 timestamp
"2025-11-01T00:00:00Z"
The currency of the total and job cost amounts. Normalized to credits if any credit activity is present anywhere in the requested range
"USD"
Was this page helpful?

